function Initiate()
	love.window.setFullscreen(true, "desktop")
    InitStars()
    InitPlayers()
    range = math.floor(DetermineRange())
    font14 = love.graphics.newFont(14)
    font36 = love.graphics.newFont(36)
end

function InitStars() 
    for i = 1, 200 do
        ::try_again::
        star[i].x = love.math.random(20, width - 20)
        star[i].y = love.math.random(20, height - 30)
        for j = 1, i do
            if j ~= i then
                if Distance(i, j) < 60 then
                    goto try_again
                end
            end
        end
        star[i].size = love.math.random(5) + love.math.random(5) + love.math.random(5)
        star[i].owner = 13
        star[i].ships = 10
    end
end

function InitPlayers()
    ::IP2::
    for i = 1, 12 do
        ::IP1::
        player[i] = love.math.random(200)
        for j = 1, i do
            if j ~= i then
                if player[i] == player[j] then
                    goto IP1
                end
            end
        end
        for j = 1, i do
            if j ~= i then
                if Distance(player[i], player[j]) < 320 then
                    goto IP2
                end
            end
        end
    end
    for i = 1, 12 do 
        star[player[i]].owner = i
        star[player[i]].size = 10
        star[player[i]].ships = 100
    end
end